Subject: Re: bug#19392: Emacs searches for dabbrevs in archive buffers

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 24 Oct 2021 21:59:19 +0200

Stefan Kangas <[email-masked]> writes:

> It is just unlikely to produce anything useful.  Here's what the start
> of a PNG file might look like, for example:
>
> 00000000: 8950 4e47 0d0a 1a0a 0000 000d 4948 4452  .PNG........IHDR
> 00000010: 0000 0a00 0000 05a0 0802 0000 001d 628d  ..............b.

True, that's a good candidate for exclusion, too.

>>> You could throw in `tetris-mode' and the other ones in play/, I guess.
>>
>> I don't think those have binary data (that may accidentally look like an
>> abbreviation).
>
> Right, it is another case of a buffer that will just contain nothing
> useful for completion purposes.  But perhaps it doesn't contain anything
> harmful either.

Yeah, it seems unlikely that there'll be much in a Tetris buffers that
looks like text.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no